%define oname   net-http-persistent

Name:       ruby-%{oname}
Version:    4.0.1
Release:    %mkrel 1
Summary:    Manages persistent connections using Net::HTTP plus a speed fix for Ruby
License:    MIT
Group:      Development/Ruby
URL:        http://docs.seattlerb.org/net-http-persistent
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

%description
Manages persistent connections using Net::HTTP plus a speed fix for
Ruby 1.8.

It's thread-safe too!

Using persistent HTTP connections can dramatically increase the speed of HTTP.
Creating a new HTTP connection for every request involves an extra TCP
round-trip and causes TCP congestion avoidance negotiation to start over.
Net::HTTP supports persistent connections with some API methods but does not
handle reconnection gracefully.  Net::HTTP::Persistent supports reconnection
and retry according to RFC 2616.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Tue May 03 2022 pterjan <pterjan> 4.0.1-1.mga9
+ Revision: 1855673
- Update to 4.0.1

* Fri Mar 25 2022 umeabot <umeabot> 3.1.0-2.mga9
+ Revision: 1826634
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 3.1.0-1.mga8
+ Revision: 1561541
- Update to 3.1.0

* Wed Feb 12 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1507845
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1291070
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 3.0.0-1.mga7
+ Revision: 1141856
- Update to 3.0.0

* Tue Jan 05 2016 pterjan <pterjan> 2.9.4-4.mga6
+ Revision: 919763
- Update file list

* Wed Oct 15 2014 umeabot <umeabot> 2.9.4-3.mga5
+ Revision: 742671
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.4-2.mga5
+ Revision: 688882
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 2.9.4-1.mga5
+ Revision: 626721
- Update to 2.9.4

* Sat Dec 28 2013 pterjan <pterjan> 2.9-4.mga4
+ Revision: 562032
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.9-3.mga4
+ Revision: 561461
- Fix gem macros

* Tue Oct 22 2013 umeabot <umeabot> 2.9-2.mga4
+ Revision: 545432
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 pterjan <pterjan> 2.9-1.mga4
+ Revision: 501268
- 2.9

* Sat Sep 21 2013 fwang <fwang> 2.8-3.mga4
+ Revision: 482841
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 2.8-3.mga3
+ Revision: 396208
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.8-2.mga3
+ Revision: 381131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.8-1.mga3
+ Revision: 313311
- imported package ruby-net-http-persistent

